Page MenuHomePhabricator

UW fails to load with "Unknown error: "unknown".", js error
Closed, ResolvedPublic

Description

as a logged in user, attempt to upload a file at http://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

browser shows Unknown error: "unknown".

javascript error console shows

Failed to load resource: the server responded with a status of 500 (Internal Server Error) http://commons.wikimedia.beta.wmflabs.org/w/api.php

but the api URL responds properly to a casual query


Version: unspecified
Severity: normal

Details

Reference
bz65958

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:19 AM
bzimport set Reference to bz65958.
greg added a comment.Jun 2 2014, 11:40 PM

Mark: I'm taking the liberty of assigning this to you, but this is mostly to get this on MM team's plate to be fixed before Thursday's branch cut. If it can't be fixed, determining where it broke and reverting before Thursday would be ideal.

Gilles added a comment.Jun 3 2014, 8:32 AM

PHP fatal error in /srv/common-local/php-master/extensions/CommonsMetadata/LicenseParser.php line 51:
Argument 1 passed to CommonsMetadata\LicenseParser::sortDataByLicensePriority() must be an array, null given, called in /srv/common-local/php-master/extensions/CommonsMetadata/DataCollector.php on line 310 and defined

Change 136986 had a related patch set uploaded by Gilles:
Avoid trying to sort licenses when there are none

https://gerrit.wikimedia.org/r/136986

Change 136986 merged by jenkins-bot:
Avoid trying to sort licenses when there are none

https://gerrit.wikimedia.org/r/136986

Gilles/Gergő: As the patch has been merged: Is more work needed to fix this problem, or can this ticket be closed as FIXED?

Tgr added a comment.Jun 9 2014, 3:46 AM

We might want to check how this could happen in the first place; IIRC the code always passes an array so something funny must be going on. The direct problem has been fixed though.

Tgr closed this task as Resolved.Dec 23 2014, 11:18 PM
In T67958#701205, @Tgr wrote:

We might want to check how this could happen in the first place; IIRC the code always passes an array so something funny must be going on. The direct problem has been fixed though.

But we did not in a year, so I'll close as fixed.